%global _empty_manifest_terminate_build 0
Name:                perl-Convert-Bencode
Version:             1.03
Release:             2
Summary:             Functions for converting to/from bencoded strings
License:             GPL-1.0-or-later or Artistic-1.0
URL:                 http://search.cpan.org/dist/Convert-Bencode/
Source0:             http://www.cpan.org/authors/id/O/OR/ORCLEV/Convert-Bencode-%{version}.tar.gz

BuildArch:           noarch
BuildRequires:       perl-generators perl(ExtUtils::MakeMaker) perl(Test::More) >= 0.45
Requires:            perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module provides two functions, bencode and bdecode, which encode and
decode bencoded strings respectivly.

%package help
Summary : Functions for converting to/from bencoded strings
Provides:            perl-Convert-Bencode-doc
%description help
This module provides two functions, bencode and bdecode, which encode and
decode bencoded strings respectivly.

%prep
%setup -q -n Convert-Bencode-%{version}

%build
export PERL_MM_OPT=""
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
export PERL_MM_OPT=""
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} $RPM_BUILD_ROOT/*
pushd %{buildroot}
touch filelist.lst
if [ -d usr/bin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
popd
mv %{buildroot}/filelist.lst .

%check
make test
%clean
rm -rf $RPM_BUILD_ROOT

%files -f filelist.lst
%defattr(-,root,root,-)
%doc Changes LICENSE README Todo
%{perl_vendorlib}/*

%files help
%{_mandir}/*

%changelog
* Mon Jul 18 2022 Chenyx <chenyixiong3@huawei.com> - 1.03-2
- License compliance rectification

* Wed Jul 29 2020 maminjie <maminjie1@huawei.com> - 1.03-1
- package init
